<?php
header('Content-Type: text/xml');

require_once 'require_all.php';
require_once 'UserSpace/mobirent/Entities/Customer.php';
require_once 'UserSpace/mobirent/Entities/Administrator.php';

require_once 'UserSpace/mobirent/Entities/Dvd.php';
require_once 'UserSpace/mobirent/Entities/Order.php';
require_once 'UserSpace/mobirent/Entities/Transporter.php';

require_once 'UserSpace/mobirent/Sessions/AdministratorSF.php';
require_once 'UserSpace/mobirent/Sessions/CustomerSF.php';
require_once 'UserSpace/mobirent/Sessions/TransporterSF.php';


$inXml = $GLOBALS["HTTP_RAW_POST_DATA"];

$ph = PersistenceHandler::getInstance();
$ph->setConnector(new MySQLDBConnect("localhost", "mrent", "tnerm", "mrent"), new MySQLEntityHandler());
Logger::newLogger("PEA", new DBLogHandler()); 

$peac = PeaConnector::getInstance();
$peac->reciveMessage($inXml);
echo $peac->getResponse();

?>